<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iCelPersistentDataList Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iCelPersistentDataList Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iCelPersistentDataList" --><!-- doxytag: inherits="iBase" -->
<p>A list of persistent data for all the property classes of an entity.  
 <a href="structiCelPersistentDataList.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="persist_8h_source.html">physicallayer/persist.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iCelPersistentDataList:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiCelPersistentDataList.png" usemap="#iCelPersistentDataList_map" alt=""/>
  <map id="iCelPersistentDataList_map" name="iCelPersistentDataList_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,134,24"/>
</map>
 </div></div>

<p><a href="structiCelPersistentDataList-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelPersistentDataList.html#a6dbe20e00629f71d57aabb00697e4321">AddPersistentData</a> (<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsRef.html">csRef</a>&lt; <a class="el" href="structiCelDataBuffer.html">iCelDataBuffer</a> &gt; &amp;databuf, <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsString.html">csString</a> &amp;pc_name, <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsString.html">csString</a> &amp;pc_tag)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">To add a new persistent data buffer.  <a href="#a6dbe20e00629f71d57aabb00697e4321"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelPersistentDataList.html#ac151ef95ba307c6a0fc9a160ec0d8057">GetCount</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the number of entries in this list.  <a href="#ac151ef95ba307c6a0fc9a160ec0d8057"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelPersistentDataList.html#a810a02d4a18348bcd1236b6b12988ca2">GetPersistentData</a> (size_t idx, <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsRef.html">csRef</a>&lt; <a class="el" href="structiCelDataBuffer.html">iCelDataBuffer</a> &gt; &amp;databuf, <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsString.html">csString</a> &amp;pc_name, <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsString.html">csString</a> &amp;pc_tag) const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">To get the persistent data at the specified position.  <a href="#a810a02d4a18348bcd1236b6b12988ca2"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>A list of persistent data for all the property classes of an entity. </p>
<p>The complete state of all the property classes of an entity can be specified with this list. The list can contain one entry per property class. The name and the tag of the property class is used to identify it. </p>

<p>Definition at line <a class="el" href="persist_8h_source.html#l00256">256</a> of file <a class="el" href="persist_8h_source.html">persist.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a6dbe20e00629f71d57aabb00697e4321"></a><!-- doxytag: member="iCelPersistentDataList::AddPersistentData" ref="a6dbe20e00629f71d57aabb00697e4321" args="(csRef&lt; iCelDataBuffer &gt; &amp;databuf, csString &amp;pc_name, csString &amp;pc_tag)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelPersistentDataList.html#a6dbe20e00629f71d57aabb00697e4321">iCelPersistentDataList::AddPersistentData</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsRef.html">csRef</a>&lt; <a class="el" href="structiCelDataBuffer.html">iCelDataBuffer</a> &gt; &amp;&#160;</td>
          <td class="paramname"><em>databuf</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsString.html">csString</a> &amp;&#160;</td>
          <td class="paramname"><em>pc_name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsString.html">csString</a> &amp;&#160;</td>
          <td class="paramname"><em>pc_tag</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>To add a new persistent data buffer. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">idx</td><td>The index of the entry. </td></tr>
    <tr><td class="paramname">databuf</td><td>The persistent data. </td></tr>
    <tr><td class="paramname">pc_name</td><td>The name of the property class associated to the persistent data. </td></tr>
    <tr><td class="paramname">pc_tag</td><td>The tag of the property class associated to the persistent data. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ac151ef95ba307c6a0fc9a160ec0d8057"></a><!-- doxytag: member="iCelPersistentDataList::GetCount" ref="ac151ef95ba307c6a0fc9a160ec0d8057" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual size_t <a class="el" href="structiCelPersistentDataList.html#ac151ef95ba307c6a0fc9a160ec0d8057">iCelPersistentDataList::GetCount</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return the number of entries in this list. </p>

</div>
</div>
<a class="anchor" id="a810a02d4a18348bcd1236b6b12988ca2"></a><!-- doxytag: member="iCelPersistentDataList::GetPersistentData" ref="a810a02d4a18348bcd1236b6b12988ca2" args="(size_t idx, csRef&lt; iCelDataBuffer &gt; &amp;databuf, csString &amp;pc_name, csString &amp;pc_tag) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiCelPersistentDataList.html#a810a02d4a18348bcd1236b6b12988ca2">iCelPersistentDataList::GetPersistentData</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>idx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsRef.html">csRef</a>&lt; <a class="el" href="structiCelDataBuffer.html">iCelDataBuffer</a> &gt; &amp;&#160;</td>
          <td class="paramname"><em>databuf</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsString.html">csString</a> &amp;&#160;</td>
          <td class="paramname"><em>pc_name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsString.html">csString</a> &amp;&#160;</td>
          <td class="paramname"><em>pc_tag</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>To get the persistent data at the specified position. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">idx</td><td>The index of the entry. </td></tr>
    <tr><td class="paramname">databuf</td><td>The persistent data. </td></tr>
    <tr><td class="paramname">pc_name</td><td>The name of the property class associated to the persistent data. </td></tr>
    <tr><td class="paramname">pc_tag</td><td>The tag of the property class associated to the persistent data. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>physicallayer/<a class="el" href="persist_8h_source.html">persist.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
